Subject: bug#9856: closed (Re: bug#9856: Emacs build from source error)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Oct 2011 13:14:02 +0000

Your bug report

#9856: Emacs build from source error

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9856: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9856
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9856: Emacs build from source error
From: Andreas Schwab <[email-masked]>
To: Alexander Kuleshov <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 Oct 2011 15:12:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Alexander Kuleshov <[email-masked]> writes:

> I try to build emacs-23.1 from source.

The current version is 23.3.  This was fixed in
16abbbf51d9ae4cefd41abdcc0940e94a188a028.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."

Subject: Emacs build from source error
From: Alexander Kuleshov <[email-masked]>
To: [email-masked]
Date: Mon, 24 Oct 2011 08:05:43 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I try to build emacs-23.1 from source.

First :

./configure

Then i try to

make

But get error at the start:

$ make

cd lib-src; make all \
CC='gcc' CFLAGS='-g -O2 -Wno-pointer-sign ' CPPFLAGS='-D_BSD_SOURCE ' \
LDFLAGS='-Wl,-znocombreloc ' MAKE='make'
make[1]: Entering directory `/home/emacs-23.1/lib-src'
Makefile:144: *** commands commence before first target. Stop.
make[1]: Leaving directory `/home/emacs-23.1/lib-src'
make: *** [lib-src] Error 2

How can i fix it? I try many emacs versions and every time i get this error.

Thank you.